%define name festlex
%define version 1.4.3
%define release 1mdk

Name:  %name
Summary: Voices for Festival - a free speech synthesizer 
Version: %{version}
Release: %release
License: BSD
Group: Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-root 
URL: http://www.cstr.ed.ac.uk/projects/festival/
BuildArch: noarch

### DICTIONARIES
# Generic English dictionary
Source100: ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festlex_POSLEX.tar.bz2
# American English dictionary
Source101: ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festlex_CMU.tar.bz2

%description
Festival is a general multi-lingual speech synthesis system developed
at CSTR. It offers a full text to speech system with various APIs, as
well as an environment for development and research of speech synthesis
techniques. It is written in C++ with a Scheme-based command interpreter
for general control.

This package contains dictionaries for use with Festival


%package POSLEX
Group:		Sound
Summary:	Festival Speech Lexicons for Engish
Provides:	festival-lexicons

%description POSLEX
Part of speech lexicons and ngram from English.  Required by all
British and American English voices.

%package CMU
Group:		Sound
Summary:	CMU dictionary in Festival form
Provides:	festival-dictionary
Provides:	festival-dictionary-en_US
Requires:	festlex-POSLEX

%description CMU
CMU dictionary in Festival form, required for American English voices.

%prep
rm -rf $RPM_BUILD_ROOT

%setup  -T -c -q -a 100 -a 101

%build

#cd festival/lib/dicts/cmu
#make
#cd ../../..

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/festival
cp -a festival/lib/dicts $RPM_BUILD_ROOT%_datadir/festival

rm -f $RPM_BUILD_ROOT/%{_datadir}/festival/dicts/COPYING.poslex

%clean
rm -rf $RPM_BUILD_ROOT

%files POSLEX
%defattr(-,root,root)
%_datadir/festival/dicts/wsj*
%doc festival/lib/dicts/COPYING.poslex

%files CMU
%defattr(-,root,root)
%_datadir/festival/dicts/cmu
%doc festival/lib/dicts/cmu/COPYING

%changelog
* Tue Feb 11 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.3-1mdk
- PLF->MDK (satisfy requires in speaker3 ;-))
- Split voices into seperate srpm (make them noarch)
- Remove Spanish voice (not free), which will reside in PLF.
- Disable RH patch (lose "colour", "OpenBSD" and "FreeBSD in dicts) so we
  don't need to buildrequires festival

* Sun Sep  8 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-3plf
- update patch 20 and 21 to the rawhide versions -> gcc 3.2 build 

* Fri Jul 26 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-2plf
- gcc 3.2 build

* Fri Jul  5 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-1plf
- fixed buildrequires (readlink, termcap)
- adapted spec from Charles A Edwards <eslrahc@bellsouth.net>

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 10 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.4.2-7
- Fix some rpmlint errors

* Mon Jun 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.4.2-6
- Fix ISO C++ compliance

* Mon Mar 18 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Mar 14 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.4.2-2
- Get rid of CVS directiories in doc dir
- Fix broken symlinks for components from speech_tools

* Wed Mar  6 2002 Trond Eivind Glomsrd <teg@redhat.com>
- 1.4.2
- Lots of fixes to make it build, more needed
- Cleanups
- Update URL
- Fix docs inclusion
- Drop prefix
- Use %%{_tmppath}

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add defattr (Bug #15033)

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build on current 7.0

* Mon Jul 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build on current 7.0

* Thu Jul  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHSify

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on non-x86

* Sun Apr 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial packaging
